# Uses of Interface
org.eclipse.birt.chart.script.api.scale.IScale

Packages that use IScale
Package
Description
org.eclipse.birt.chart.script.api.component
org.eclipse.birt.chart.script.api.scale

## Uses of IScale in org.eclipse.birt.chart.script.api.component

Methods in org.eclipse.birt.chart.script.api.component that return IScale
Modifier and Type
Method
Description
`IScale`
IAxis.`getScale()`
Gets theScale for axis scaling

## Uses of IScale in org.eclipse.birt.chart.script.api.scale

Subinterfaces of IScale in org.eclipse.birt.chart.script.api.scale
Modifier and Type
Interface
Description
`interface`
`ICategoryScale`
Represents the Scale for chart scaling when Axis is rendered by category.
`interface`
`ILinearScale`
Represents the Scale for chart scaling when Axis is Linear type.
`interface`
`ILogarithmicScale`
Represents the Scale for chart scaling when Axis is Logarithmic type.
`interface`
`ITimeScale`
Represents the Scale for chart scaling when Axis is Datetime type.